Module javafx.graphics
Package javafx.application

# Class Preloader.ErrorNotification

java.lang.Object
javafx.application.Preloader.ErrorNotification

All Implemented Interfaces:
  `Preloader.PreloaderNotification`

Enclosing class:
  `Preloader`

public static class Preloader.ErrorNotification extends Object implements Preloader.PreloaderNotification
Preloader notification that reports an error. This is delivered to preloader in case of problem with application startup.

Since:
  JavaFX 2.0

## Constructor Summary

Constructors
Constructor
Description
`ErrorNotification(String location, String details, Throwable cause)`
Constructs an error notification.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
Retrieves the Exception or Error associated with this error notification, if any.
`String`
`getDetails()`
Retrieves the description of the error.
`String`
`getLocation()`
Retrieves the URL associated with this error, if any.
`String`
`toString()`
Returns a string representation of this `ErrorNotification` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ErrorNotification

public ErrorNotification(String location, String details, Throwable cause)
Constructs an error notification.

Parameters:
  `location` - the URL associated with an error (if any); may be null
  `details` - a string describing the error; must be non-null
  `cause` - the cause of the error; may be null

## Method Details

### getLocation

public String getLocation()
Retrieves the URL associated with this error, if any. For example, if there is a download or singing check error, this will be the URL of the jar file that has the problem. It may be null.

Returns:
  the location, or null

### getDetails

public String getDetails()
Retrieves the description of the error. It may be the empty string, but is always non-null.

Returns:
  the description of the error

### getCause

public Throwable getCause()
Retrieves the Exception or Error associated with this error notification, if any. It may be null.

Returns:
  the cause of the error, or null

### toString

public String toString()
Returns a string representation of this `ErrorNotification` object.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this `ErrorNotification` object.